## atanks 1.1.0

=== Makefile ===
VERSION=1.1.0
export VERSION
FILENAME=atanks-${VERSION}

DISTCOMMON=atanks/*.dat atanks/COPYING atanks/README atanks/TODO atanks/Changelog atanks/BUGS atanks/Help.txt atanks/credits.txt  atanks/gloat.txt  atanks/instr.txt  atanks/revenge.txt

all:
	$(MAKE) -C src

clean:
	rm -f atanks
	$(MAKE) -C src clean

dist: source-dist i686-dist win32-dist

source-dist:
	cd ../; \
	rm -f ${FILENAME}.tar.gz; \
	tar cvf ${FILENAME}.tar atanks/src/*.cc atanks/src/*.h atanks/src/Makefile atanks/Makefile atanks/readme.linux atanks/tanks.txt ${DISTCOMMON}; \
	gzip ${FILENAME}.tar

i686-dist:
	cd ../; \
	rm -f ${FILENAME}-i686-dist.tar; \
	rm -f ${FILENAME}-i686-dist.tar.gz; \
	strip atanks/atanks; \
	tar cvf ${FILENAME}-i686-dist.tar atanks/atanks ${DISTCOMMON}; \
	gzip ${FILENAME}-i686-dist.tar;

win32-dist:
	cd ../; \
	rm -f ${FILENAME}-win32-dist.zip; \
	zip ${FILENAME}-win32-dist.zip atanks/Atanks.exe atanks/alleg40.dll ${DISTCOMMON};

=== src/Makefile ===
.PHONY: all clean veryclean

MODULES = \
	globaldata.o environment.o player.o virtobj.o floattext.o teleport.o physobj.o decor.o explosion.o missile.o beam.o tank.o atanks.o fade.o perlin.o sky.o

CC  = g++
FLAGS = -DLINUX -DVERSION=\"${VERSION}\" -DDATA_DIR=\".\"
OUTPUT = ../atanks
WFLAGS = 
OFLAGS = 
LFLAGS +=
LDFLAGS =  `allegro-config --libs`

CFLAGS += -Wall -Iinclude # -fprofile-arcs -ftest-coverage 
CFLAGS += -g	# debug vs optimize flags

SRCS  = $(MODULES:.o=.cc)
GLOBALS	= main.h globals.h externs.h globaldata.h weapons.h imagedefs.h lineseq.h

all: $(OUTPUT)

clean:
	rm -f *.o

veryclean: clean
	rm $(OUTPUT)

$(MODULES): Makefile


atanks.o: atanks.cc menu.h menucontent.h $(GLOBALS)
	$(CC) -c atanks.cc -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

environment.o: environment.cc environment.h virtobj.h missile.h tank.h $(GLOBALS)
	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

explosion.o: explosion.cc explosion.h environment.h player.h virtobj.h missile.h tank.h $(GLOBALS)
	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

floattext.o: floattext.cc floattext.h $(GLOBALS)
	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

globaldata.o: globaldata.cc player.h $(GLOBALS)
	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

missile.o: missile.cc missile.h environment.h explosion.h tank.h $(GLOBALS)
	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

teleport.o: teleport.cc teleport.h environment.h $(GLOBALS)
	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

physobj.o: physobj.cc physobj.h environment.h $(GLOBALS)
	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

player.o: player.cc player.h environment.h missile.h tank.h $(GLOBALS)
	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

tank.o: tank.cc tank.h environment.h floattext.h explosion.h player.h $(GLOBALS)
	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

virtobj.o: virtobj.cc virtobj.h environment.h $(GLOBALS)
	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

fade.o: fade.cc $(GLOBALS)
	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

perlin.o: perlin.cc $(GLOBALS)
	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

sky.o: sky.cc $(GLOBALS)
	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

%.o: %.cc %.h
	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

$(OUTPUT): $(OBJECTS) $(MODULES)
	$(CC) $(MODULES) -o $(OUTPUT) $(FLAGS) $(LFALGS) $(LDFLAGS) $(SFLAGS)
	#strip $(OUTPUT)

## atanks 2.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=1.1.0
+VERSION=2.0
 export VERSION
 FILENAME=atanks-${VERSION}
 
@@ -16,7 +16,7 @@
 source-dist:
 	cd ../; \
 	rm -f ${FILENAME}.tar.gz; \
-	tar cvf ${FILENAME}.tar atanks/src/*.cc atanks/src/*.h atanks/src/Makefile atanks/Makefile atanks/readme.linux atanks/tanks.txt ${DISTCOMMON}; \
+	tar cvf ${FILENAME}.tar atanks/src/*.cc atanks/src/*.h atanks/src/Makefile atanks/src/Makefile.windows atanks/Makefile ${DISTCOMMON}; \
 	gzip ${FILENAME}.tar
 
 i686-dist:

=== src/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 .PHONY: all clean veryclean
 
 MODULES = \
-	globaldata.o environment.o player.o virtobj.o floattext.o teleport.o physobj.o decor.o explosion.o missile.o beam.o tank.o atanks.o fade.o perlin.o sky.o
+	globaldata.o environment.o player.o virtobj.o floattext.o teleport.o physobj.o decor.o explosion.o missile.o beam.o tank.o atanks.o fade.o perlin.o sky.o 
 
 CC  = g++
-FLAGS = -DLINUX -DVERSION=\"${VERSION}\" -DDATA_DIR=\".\"
+FLAGS = -DLINUX -DVERSION=\"2.0\" -DDATA_DIR=\".\"
 OUTPUT = ../atanks
 WFLAGS = 
 OFLAGS =

## atanks 2.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=2.0
+VERSION=2.3
 export VERSION
 FILENAME=atanks-${VERSION}

=== src/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	globaldata.o environment.o player.o virtobj.o floattext.o teleport.o physobj.o decor.o explosion.o missile.o beam.o tank.o atanks.o fade.o perlin.o sky.o 
 
 CC  = g++
-FLAGS = -DLINUX -DVERSION=\"2.0\" -DDATA_DIR=\".\"
+FLAGS = -DLINUX -DVERSION=\"2.3\" -DDATA_DIR=\".\"
 OUTPUT = ../atanks
 WFLAGS = 
 OFLAGS =

## atanks 2.6

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,17 @@
-VERSION=2.3
+VERSION=2.5
 export VERSION
 FILENAME=atanks-${VERSION}
-
-DISTCOMMON=atanks/*.dat atanks/COPYING atanks/README atanks/TODO atanks/Changelog atanks/BUGS atanks/Help.txt atanks/credits.txt  atanks/gloat.txt  atanks/instr.txt  atanks/revenge.txt
+INSTALL=/usr/bin/install -c
+DISTCOMMON=atanks/*.dat atanks/COPYING atanks/README atanks/TODO atanks/Changelog atanks/BUGS atanks/Help.txt atanks/credits.txt atanks/gloat.txt atanks/instr.txt atanks/revenge.txt atanks/suicide.txt gloat.pt_BR.txt Help.pt_BR.txt revenge.pt_BR.txt suicide.pt_BR.txt
+INCOMMON=*.dat COPYING README TODO Changelog *.txt
 
 all:
 	$(MAKE) -C src
 
+install: all
+	$(INSTALL) -g 0 -m 755 -o 0 atanks /usr/bin
+	mkdir -p /usr/share/games/atanks
+	$(INSTALL) -g 0 -m 644 -o 0 $(INCOMMON) /usr/share/games/atanks
 clean:
 	rm -f atanks
 	$(MAKE) -C src clean

=== src/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 .PHONY: all clean veryclean
 
 MODULES = \
-	globaldata.o environment.o player.o virtobj.o floattext.o teleport.o physobj.o decor.o explosion.o missile.o beam.o tank.o atanks.o fade.o perlin.o sky.o 
+	globaldata.o environment.o player.o virtobj.o floattext.o teleport.o physobj.o decor.o explosion.o missile.o beam.o tank.o atanks.o fade.o perlin.o sky.o button.o files.o team.o 
 
 CC  = g++
-FLAGS = -DLINUX -DVERSION=\"2.3\" -DDATA_DIR=\".\"
+FLAGS = -DLINUX -DDATA_DIR=\".\"
 OUTPUT = ../atanks
 WFLAGS = 
 OFLAGS = 
@@ -15,7 +15,7 @@
 CFLAGS += -g	# debug vs optimize flags
 
 SRCS  = $(MODULES:.o=.cc)
-GLOBALS	= main.h globals.h externs.h globaldata.h weapons.h imagedefs.h lineseq.h
+GLOBALS	= main.h globals.h externs.h globaldata.h weapons.h imagedefs.h lineseq.h button.h files.h
 
 all: $(OUTPUT)
 
@@ -31,10 +31,16 @@
 atanks.o: atanks.cc menu.h menucontent.h $(GLOBALS)
 	$(CC) -c atanks.cc -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)
 
+button.o: button.cc $(GLOBALS)
+	$(CC) -c button.cc -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)
+
 environment.o: environment.cc environment.h virtobj.h missile.h tank.h $(GLOBALS)
 	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)
 
 explosion.o: explosion.cc explosion.h environment.h player.h virtobj.h missile.h tank.h $(GLOBALS)
+	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)
+
+files.o: files.cc files.h $(GLOBALS)
 	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)
 
 floattext.o: floattext.cc floattext.h $(GLOBALS)
@@ -58,6 +64,9 @@
 tank.o: tank.cc tank.h environment.h floattext.h explosion.h player.h $(GLOBALS)
 	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)
 
+team.o: team.cc team.h environment.h $(GLOBALS)
+	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)
+
 virtobj.o: virtobj.cc virtobj.h environment.h $(GLOBALS)
 	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)
 
@@ -74,5 +83,5 @@
 	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)
 
 $(OUTPUT): $(OBJECTS) $(MODULES)
-	$(CC) $(MODULES) -o $(OUTPUT) $(FLAGS) $(LFALGS) $(LDFLAGS) $(SFLAGS)
+	$(CC) $(MODULES) -o $(OUTPUT) $(FLAGS) $(LFLAGS) $(LDFLAGS) $(SFLAGS)
 	#strip $(OUTPUT)

## atanks 3.0

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-VERSION=2.5
+VERSION=2.8
 export VERSION
 FILENAME=atanks-${VERSION}
 INSTALL=/usr/bin/install -c
-DISTCOMMON=atanks/*.dat atanks/COPYING atanks/README atanks/TODO atanks/Changelog atanks/BUGS atanks/Help.txt atanks/credits.txt atanks/gloat.txt atanks/instr.txt atanks/revenge.txt atanks/suicide.txt gloat.pt_BR.txt Help.pt_BR.txt revenge.pt_BR.txt suicide.pt_BR.txt
+DISTCOMMON=atanks/*.dat atanks/COPYING atanks/README atanks/TODO atanks/Changelog atanks/BUGS atanks/Help.txt atanks/credits.txt atanks/gloat.txt atanks/instr.txt atanks/revenge.txt atanks/suicide.txt atanks/gloat.pt_BR.txt atanks/Help.pt_BR.txt atanks/revenge.pt_BR.txt atanks/suicide.pt_BR.txt atanks/revenge_fr.txt atanks/gloat_fr.txt atanks/suicide_fr.txt atanks/weapons.txt
 INCOMMON=*.dat COPYING README TODO Changelog *.txt
 
 all:

=== src/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .PHONY: all clean veryclean
 
 MODULES = \
-	globaldata.o environment.o player.o virtobj.o floattext.o teleport.o physobj.o decor.o explosion.o missile.o beam.o tank.o atanks.o fade.o perlin.o sky.o button.o files.o team.o 
+	globaldata.o environment.o player.o virtobj.o floattext.o teleport.o physobj.o decor.o explosion.o missile.o beam.o tank.o atanks.o fade.o perlin.o sky.o button.o files.o team.o satellite.o
 
 CC  = g++
 FLAGS = -DLINUX -DDATA_DIR=\".\"
@@ -15,7 +15,7 @@
 CFLAGS += -g	# debug vs optimize flags
 
 SRCS  = $(MODULES:.o=.cc)
-GLOBALS	= main.h globals.h externs.h globaldata.h weapons.h imagedefs.h lineseq.h button.h files.h
+GLOBALS	= main.h globals.h externs.h globaldata.h imagedefs.h lineseq.h button.h files.h
 
 all: $(OUTPUT)
 
@@ -79,6 +79,9 @@
 sky.o: sky.cc $(GLOBALS)
 	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)
 
+satellite.o: satellite.cc $(GLOBALS)
+	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)
+
 %.o: %.cc %.h
 	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

## atanks 3.6

=== Makefile ===
VERSION=3.6
PREFIX = /usr/

BINPREFIX = $(PREFIX)

BINDIR = ${BINPREFIX}bin/
INSTALLDIR = ${PREFIX}share/games/atanks

export VERSION
export PREFIX
export INSTALLDIR

FILENAME=atanks-${VERSION}
INSTALL=$(PREFIX)bin/install -c
DISTCOMMON=atanks/*.dat atanks/COPYING atanks/README atanks/TODO atanks/Changelog atanks/BUGS atanks/*.txt
INCOMMON=*.dat COPYING README TODO Changelog *.txt

all:
	FLAGS=-DLINUX $(MAKE) -C src

install: all
	mkdir -p ${BINDIR}
	$(INSTALL) -g 0 -m 755 -o 0 atanks ${BINDIR}
	mkdir -p ${INSTALLDIR}
	$(INSTALL) -g 0 -m 644 -o 0 $(INCOMMON) ${INSTALLDIR}

user:
	INSTALLDIR=./ FLAGS=-DLINUX $(MAKE) -C src

winuser:
	INSTALLDIR=./ FLAGS=-DWIN32 $(MAKE) -C src

osxuser:
	INSTALLDIR=./ FLAGS="-DLINUX -DMACOSX" $(MAKE) -C src

clean:
	rm -f atanks
	$(MAKE) -C src clean

dist: source-dist i686-dist win32-dist

source-dist:
	cd ../; \
	rm -f ${FILENAME}.tar.gz; \
	tar cvf ${FILENAME}.tar atanks/src/*.cpp atanks/src/*.h atanks/src/Makefile atanks/src/Makefile.windows atanks/Makefile ${DISTCOMMON}; \
	gzip ${FILENAME}.tar

i686-dist:
	cd ../; \
	rm -f ${FILENAME}-i686-dist.tar; \
	rm -f ${FILENAME}-i686-dist.tar.gz; \
	strip atanks/atanks; \
	tar cvf ${FILENAME}-i686-dist.tar atanks/atanks ${DISTCOMMON}; \
	gzip ${FILENAME}-i686-dist.tar;

win32-dist:
	cd ../; \
	rm -f ${FILENAME}-win32-dist.zip; \
	zip ${FILENAME}-win32-dist.zip atanks/Atanks.exe atanks/alleg40.dll ${DISTCOMMON};

=== src/Makefile ===
.PHONY: all clean veryclean

MODULES = atanks.o beam.o button.o environment.o explosion.o fade.o files.o globaldata.o \
          missile.o perlin.o physobj.o player.o satellite.o sky.o tank.o team.o teleport.o virtobj.o

CPP=g++
CC=gcc
LD=g++
LIB=ar
WINDRES=
# FLAGS += -DDATA_DIR=\".\"
FLAGS += -DDATA_DIR=\"${INSTALLDIR}\"
OUTPUT = ../atanks
WFLAGS = 
OFLAGS = 
LFLAGS +=
LDFLAGS =  `allegro-config --libs`

CFLAGS += -g -Wall -Iinclude # -fprofile-arcs -ftest-coverage 
# CFLAGS += -g	# debug vs optimize flags
# No, let the user decide!

SRCS  = $(MODULES:.o=.cpp)
GLOBALS	= main.h imagedefs.h externs.h

all: 	$(OUTPUT)

clean:  
	rm -f *.o

veryclean: clean
	rm $(OUTPUT)

$(MODULES): Makefile

atanks.o: atanks.cpp
	$(CPP) -c atanks.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

button.o: button.cpp
	$(CPP) -c button.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

environment.o: environment.cpp
	$(CPP) -c environment.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

explosion.o: explosion.cpp
	$(CPP) -c explosion.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

files.o: files.cpp
	$(CPP) -c files.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

# No longer needed, as floattext is fully inline now!
# floattext.o:
# 	$(CPP) -c floattext.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

globaldata.o: globaldata.cpp
	$(CPP) -c globaldata.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

missile.o: missile.cpp
	$(CPP) -c missile.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

teleport.o: teleport.cpp
	$(CPP) -c teleport.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

physobj.o: physobj.cpp
	$(CPP) -c physobj.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

player.o: player.cpp
	$(CPP) -c player.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

tank.o: tank.cpp
	$(CPP) -c tank.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

team.o: team.cpp
	$(CPP) -c team.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

virtobj.o: virtobj.cpp
	$(CPP) -c virtobj.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

fade.o: fade.cpp
	$(CPP) -c fade.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

perlin.o: perlin.cpp
	$(CPP) -c perlin.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

sky.o: sky.cpp
	$(CPP) -c sky.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

satellite.o: satellite.cpp
	$(CPP) -c satellite.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

%.o: %.cpp %.h
	$(CPP) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

$(OUTPUT): $(OBJECTS) $(MODULES)
	$(CPP) $(MODULES) -o $(OUTPUT) $(FLAGS) $(LFLAGS) $(LDFLAGS) $(SFLAGS) $(CFLAGS)
	# strip $(OUTPUT)

# dependencies:
physobj.h: main.h virtobj.h globaldata.h
virtobj.h: main.h player.h
main.h: imagedefs.h externs.h
globaldata.h: main.h
player.h: main.h menu.h
tank.h: physobj.h
floattext.h: virtobj.h main.h environment.h
menu.h: globaldata.h
environment.h: main.h tank.h
files.h: globaldata.h environment.h lineseq.h
globals.h: virtobj.h floattext.h physobj.h tank.h missile.h explosion.h player.h environment.h globaldata.h teleport.h decor.h beam.h
button.h: globaldata.h environment.h
team.h: globaldata.h
satellite.h: environment.h globaldata.h virtobj.h
beam.h: main.h virtobj.h physobj.h
missile.h: main.h physobj.h
teleport.h: main.h virtobj.h
decor.h: main.h physobj.h environment.h globaldata.h
explosion.h: main.h physobj.h
virtobj.cpp: virtobj.h environment.h
physobj.cpp: physobj.h environment.h
atanks.cpp: globals.h lineseq.h menu.h button.h team.h files.h satellite.h menucontent.h
beam.cpp: environment.h globaldata.h physobj.h player.h decor.h tank.h beam.h
button.cpp: button.h
environment.cpp: environment.h globaldata.h virtobj.h missile.h tank.h files.h
explosion.cpp: environment.h globaldata.h explosion.h missile.h decor.h tank.h player.h
fade.cpp: globaldata.h main.h
files.cpp: player.h files.h main.h
globaldata.cpp: player.h globaldata.h files.h
missile.cpp: environment.h globaldata.h explosion.h missile.h decor.h tank.h
perlin.cpp: main.h
player.cpp: environment.h globaldata.h player.h tank.h menu.h lineseq.h files.h floattext.h
satellite.cpp: environment.h satellite.h beam.h
sky.cpp: globaldata.h main.h
tank.cpp: environment.h globaldata.h floattext.h explosion.h teleport.h missile.h player.h beam.h tank.h
team.cpp: tank.h team.h player.h
teleport.cpp: environment.h globaldata.h teleport.h

## atanks 4.6

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=3.6
+VERSION=4.6
 PREFIX = /usr/
 
 BINPREFIX = $(PREFIX)
@@ -13,28 +13,49 @@
 FILENAME=atanks-${VERSION}
 INSTALL=$(PREFIX)bin/install -c
 DISTCOMMON=atanks/*.dat atanks/COPYING atanks/README atanks/TODO atanks/Changelog atanks/BUGS atanks/*.txt
-INCOMMON=*.dat COPYING README TODO Changelog *.txt
+INCOMMON=COPYING README TODO Changelog *.txt unicode.dat
 
 all:
 	FLAGS=-DLINUX $(MAKE) -C src
 
-install: all
+install: 
 	mkdir -p ${BINDIR}
 	$(INSTALL) -g 0 -m 755 -o 0 atanks ${BINDIR}
 	mkdir -p ${INSTALLDIR}
+	mkdir -p ${INSTALLDIR}/button
+	mkdir -p ${INSTALLDIR}/misc
+	mkdir -p ${INSTALLDIR}/missile
+	mkdir -p ${INSTALLDIR}/sound
+	mkdir -p ${INSTALLDIR}/stock
+	mkdir -p ${INSTALLDIR}/tank
+	mkdir -p ${INSTALLDIR}/tankgun
+	mkdir -p ${INSTALLDIR}/title
+	mkdir -p ${INSTALLDIR}/text
 	$(INSTALL) -g 0 -m 644 -o 0 $(INCOMMON) ${INSTALLDIR}
+	$(INSTALL) -g 0 -m 644 -o 0 button/* ${INSTALLDIR}/button
+	$(INSTALL) -g 0 -m 644 -o 0 misc/* ${INSTALLDIR}/misc
+	$(INSTALL) -g 0 -m 644 -o 0 missile/* ${INSTALLDIR}/missile
+	$(INSTALL) -g 0 -m 644 -o 0 sound/* ${INSTALLDIR}/sound
+	$(INSTALL) -g 0 -m 644 -o 0 stock/* ${INSTALLDIR}/stock
+	$(INSTALL) -g 0 -m 644 -o 0 tank/* ${INSTALLDIR}/tank
+	$(INSTALL) -g 0 -m 644 -o 0 tankgun/* ${INSTALLDIR}/tankgun
+	$(INSTALL) -g 0 -m 644 -o 0 title/* ${INSTALLDIR}/title
+	$(INSTALL) -g 0 -m 644 -o 0 text/* ${INSTALLDIR}/text
 
 user:
 	INSTALLDIR=./ FLAGS=-DLINUX $(MAKE) -C src
 
 winuser:
-	INSTALLDIR=./ FLAGS=-DWIN32 $(MAKE) -C src
+	INSTALLDIR=./ FLAGS=-DWIN32 $(MAKE) -C src -f Makefile.windows
 
 osxuser:
-	INSTALLDIR=./ FLAGS="-DLINUX -DMACOSX" $(MAKE) -C src
+	INSTALLDIR=./ FLAGS="-DMACOSX" $(MAKE) -C src -f Makefile.bsd
+
+ubuntu:
+	FLAGS="-DLINUX -DUBUNTU" $(MAKE) -C src
 
 clean:
-	rm -f atanks
+	rm -f atanks atanks.exe
 	$(MAKE) -C src clean
 
 dist: source-dist i686-dist win32-dist

=== src/Makefile ===
.PHONY: all clean veryclean

MODULES = atanks.o beam.o button.o environment.o explosion.o fade.o files.o globaldata.o \
          missile.o perlin.o physobj.o player.o satellite.o sky.o tank.o team.o teleport.o virtobj.o \
          update.o network.o floattext.o land.o text.o client.o gameloop.o

CPP=g++
CC=gcc
LD=g++
LIB=ar
WINDRES=
# FLAGS += -DDATA_DIR=\".\" -Wno-write-strings -DNETWORK -DTHREADS
FLAGS += -DDATA_DIR=\"${INSTALLDIR}\" -DNEW_GAMELOOP -Wno-write-strings -DNETWORK -DTHREADS
OUTPUT = ../atanks
WFLAGS = 
OFLAGS = 
LFLAGS +=
LDFLAGS =  `allegro-config --libs`

CFLAGS += -g -Wall -Iinclude # -fprofile-arcs -ftest-coverage 

SRCS  = $(MODULES:.o=.cpp)
GLOBALS	= main.h imagedefs.h externs.h

all: 	$(OUTPUT)

clean:  
	rm -f *.o

veryclean: clean
	rm $(OUTPUT)

$(MODULES): Makefile

atanks.o: atanks.cpp globals.h main.h menucontent.h
	$(CPP) -c atanks.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

button.o: button.cpp button.h
	$(CPP) -c button.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

client.o: client.h client.cpp
	$(CPP) -c client.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGSS) $(CFLAGS)

environment.o: environment.cpp environment.h
	$(CPP) -c environment.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

explosion.o: explosion.cpp explosion.h
	$(CPP) -c explosion.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

files.o: files.cpp files.h text.h text.cpp
	$(CPP) -c files.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

floattext.o: floattext.cpp floattext.h
	$(CPP) -c floattext.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

gameloop.o: gameloop.cpp atanks.cpp main.h
	$(CPP) -c gameloop.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

globaldata.o: globaldata.cpp globaldata.h
	$(CPP) -c globaldata.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

land.o: land.cpp land.h globaldata.h environment.h
	$(CPP) -c land.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

missile.o: missile.cpp missile.h
	$(CPP) -c missile.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

teleport.o: teleport.cpp teleport.h
	$(CPP) -c teleport.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

physobj.o: physobj.cpp physobj.h
	$(CPP) -c physobj.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

player.o: player.cpp player.h
	$(CPP) -c player.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

tank.o: tank.cpp tank.h
	$(CPP) -c tank.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

team.o: team.cpp team.h
	$(CPP) -c team.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

virtobj.o: virtobj.cpp virtobj.h
	$(CPP) -c virtobj.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

fade.o: fade.cpp
	$(CPP) -c fade.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

perlin.o: perlin.cpp
	$(CPP) -c perlin.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

sky.o: sky.cpp sky.h
	$(CPP) -c sky.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

satellite.o: satellite.cpp satellite.h
	$(CPP) -c satellite.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

text.o: text.cpp text.h
	$(CPP) -c text.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

update.o: update.cpp update.h
	$(CPP) -c update.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

network.o: network.cpp network.h
	$(CPP) -c network.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

%.o: %.cpp %.h
	$(CPP) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)

$(OUTPUT): $(OBJECTS) $(MODULES)
	$(CPP) $(MODULES) -o $(OUTPUT) $(FLAGS) $(LFLAGS) $(LDFLAGS) $(SFLAGS) $(CFLAGS)
	# strip $(OUTPUT)

# dependencies:
physobj.h: main.h virtobj.h globaldata.h
virtobj.h: main.h player.h
main.h: imagedefs.h externs.h
globaldata.h: main.h
player.h: main.h menu.h
tank.h: physobj.h
floattext.h: virtobj.h main.h environment.h
menu.h: globaldata.h
environment.h: main.h tank.h
files.h: globaldata.h environment.h 
globals.h: virtobj.h floattext.h physobj.h tank.h missile.h explosion.h player.h environment.h globaldata.h teleport.h decor.h beam.h
button.h: globaldata.h environment.h
team.h: globaldata.h
satellite.h: environment.h globaldata.h virtobj.h
beam.h: main.h virtobj.h physobj.h
missile.h: main.h physobj.h
teleport.h: main.h virtobj.h
decor.h: main.h physobj.h environment.h globaldata.h
explosion.h: main.h physobj.h
virtobj.cpp: virtobj.h environment.h
physobj.cpp: physobj.h environment.h
atanks.cpp: globals.h menu.h button.h team.h files.h satellite.h menucontent.h
beam.cpp: environment.h globaldata.h physobj.h player.h decor.h tank.h beam.h
button.cpp: button.h
environment.cpp: environment.h globaldata.h virtobj.h missile.h tank.h files.h
explosion.cpp: environment.h globaldata.h explosion.h missile.h decor.h tank.h player.h
fade.cpp: globaldata.h main.h
files.cpp: player.h files.h main.h
globaldata.cpp: player.h globaldata.h files.h
missile.cpp: environment.h globaldata.h explosion.h missile.h decor.h tank.h
perlin.cpp: main.h
player.cpp: environment.h globaldata.h player.h tank.h menu.h files.h floattext.h
satellite.cpp: environment.h satellite.h beam.h
sky.cpp: globaldata.h main.h sky.h
tank.cpp: environment.h globaldata.h floattext.h explosion.h teleport.h missile.h player.h beam.h tank.h
team.cpp: tank.h team.h player.h
teleport.cpp: environment.h globaldata.h teleport.h

## atanks 4.7

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=4.6
+VERSION=4.7
 PREFIX = /usr/
 
 BINPREFIX = $(PREFIX)

## atanks 5.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=4.7
+VERSION=5.0
 PREFIX = /usr/
 
 BINPREFIX = $(PREFIX)

=== src/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 LIB=ar
 WINDRES=
 # FLAGS += -DDATA_DIR=\".\" -Wno-write-strings -DNETWORK -DTHREADS
-FLAGS += -DDATA_DIR=\"${INSTALLDIR}\" -DNEW_GAMELOOP -Wno-write-strings -DNETWORK -DTHREADS
+FLAGS += -DDATA_DIR=\"${INSTALLDIR}\" -DNEW_GAMELOOP -Wno-write-strings -DNETWORK -DTHREADS 
 OUTPUT = ../atanks
 WFLAGS = 
 OFLAGS =

=== debian/changelog ===
atanks (5.0-1) unstable; urgency=low

  * New upstream release
  * Ilya patch fixed "ftbfs with gold or --no-add-needed" (Closes: #615693)

 -- Mark Purcell <msp@debian.org>  Tue, 14 Jun 2011 18:51:53 +1000

atanks (4.9-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Mon, 23 May 2011 20:54:30 +1000

atanks (4.6-1ubuntu2) natty; urgency=low

  * New patch 20_link_with_pthread.patch: add -lpthread to link flags to 
    fix FTBFS.

 -- Ilya Barygin <barygin@gmail.com>  Sat, 01 Jan 2011 22:14:12 +0300

atanks (4.7-1) experimental; urgency=low

  * New upstream release
  * source/format -> 3.0 (quilt)
    - Drop simple-patchsys.mk
  * Drop extra-license-file usr/share/games/atanks/COPYING

 -- Mark Purcell <msp@debian.org>  Mon, 27 Sep 2010 08:12:38 +1000

atanks (4.6-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sun, 06 Jun 2010 16:36:00 +1000

atanks (4.5-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Thu, 15 Apr 2010 08:08:49 +1000

atanks (4.4-2) unstable; urgency=low

  * Duplicate install for atanks & atanks-data - fixes FTBFS (Closes: #576686)

 -- Mark Purcell <msp@debian.org>  Thu, 08 Apr 2010 16:32:09 +1000

atanks (4.4-1) unstable; urgency=low

  * New upstream release 
    - Fixes "Cannot create user and play" (Closes: #551420)

 -- Mark Purcell <msp@debian.org>  Mon, 05 Apr 2010 19:45:35 +1000

atanks (3.6-1) unstable; urgency=low

  * New upstream release
  * Upstream depreciated Makefile.debian
  * debian/compat -> 7
  * Fix binary-control-field-duplicates-source
  * Update out-of-date-standards-version

 -- Mark Purcell <msp@debian.org>  Fri, 05 Jun 2009 16:59:42 +1000

atanks (3.2-2) unstable; urgency=low

  * Upload to unstable
  * Add ${misc:Depends}

 -- Mark Purcell <msp@debian.org>  Wed, 25 Feb 2009 05:51:44 +1100

atanks (3.2-1) experimental; urgency=low

  * New upstream release
  * Add Homepage: Vcs: headers - update to standards 3.8.0

 -- Mark Purcell <msp@debian.org>  Sat, 08 Nov 2008 10:06:36 +1100

atanks (3.0-1) unstable; urgency=low

  * New upstream release
  * Fixed upstream:
    - Does not have a GNOME (Freedesktop) Menu entry; this fixes that
    (Closes: #478857)
    - freezes when no players are chosen for game and player clicks 'ok'
    (Closes: #484900)
  * Include upstream selectPlayers-fix.patch

 -- Mark Purcell <msp@debian.org>  Mon, 30 Jun 2008 21:43:09 +1000

atanks (2.9-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Thu, 03 Apr 2008 22:01:13 +1100

atanks (2.8-1) unstable; urgency=low

  * New upstream release
    - New upstream version 2.7 (Closes: #458947)
    - Opponent tanks sometimes get virtually unlimited credits.
    (Closes: #452058)
    - Menu slow down (Closes: #452878)
  * Add .desktop file
    - atanks has no .desktop file (Closes: #452573)
  * Switch to CDBS

 -- Mark Purcell <msp@debian.org>  Fri, 22 Feb 2008 09:37:34 +0100

atanks (2.6-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sun, 18 Nov 2007 15:42:25 +0000

atanks (2.5-1) unstable; urgency=low

  * New upstream release
  * Move to section Games/Action
    - lintian menu-item-creates-new-section
  * debian/rules: [ ! -f Makefile ] || $(MAKE) dist
    - lintian debian-rules-ignores-make-clean-error

 -- Mark Purcell <msp@debian.org>  Sat, 18 Aug 2007 11:53:55 +0100

atanks (2.4-2) UNRELEASED; urgency=low

  * NOT RELEASED YET

 -- Mark Purcell <msp@debian.org>  Wed, 18 Jul 2007 18:17:40 +0100

atanks (2.4-1) unstable; urgency=low

  * New upstream release
    - Large CPU demand while idle (Closes: #422425)

 -- Mark Purcell <msp@debian.org>  Wed, 18 Jul 2007 17:28:47 +0100

atanks (2.3-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Tue, 17 Apr 2007 18:06:05 +1000

atanks (2.2-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Fri, 16 Mar 2007 06:26:41 +0000

atanks (2.1-1) unstable; urgency=low

  * New upstream release
  * Fixes the following:
    - Unneeded limitation in player name size (Closes: #294625)
    - projectiles sometimes get stuck off the top of the screen (Closes:
    #394368)
    - Text color should be adapted to background (Closes: #331551)
    - Does not respond to window manager close action (Closes: #407765)
    - projectiles sometimes get stuck off the top of the screen (Closes:
    #394382)

 -- Mark Purcell <msp@debian.org>  Sat,  3 Mar 2007 12:51:00 +0000

atanks (2.0-1) unstable; urgency=low

  * New upstream release
    - Game crashes all the time (Closes: #324878)
    - atanks bug fix: Ambiguous calls of abs(double) #318527 (Closes:
    #376642)
  * Update debian/watch

 -- Mark Purcell <msp@debian.org>  Sun, 21 Jan 2007 19:25:12 +0000

atanks (1.1.0-6) unstable; urgency=low

  * New Maintainer. (Closes: Bug#362084)
    - Thanks to Graham Wilson for maintenance todate
  * Lintian cleanup: not-binnmuable-any-depends-all
  * Prep for upload to svn.debian.org/pkg-allegro
    - Convert/ Build-Depends: dpatch
    - Update debian/watch

 -- Mark Purcell <msp@debian.org>  Tue, 12 Sep 2006 08:40:55 +0100

atanks (1.1.0-5) unstable; urgency=low

  * QA upload.
  * Package is orphaned (#362084); set maintainer to Debian QA Group.
  * Link against liballegro4.2.  Closes: #350857.
  * debian/copyright: Update FSF address.
  * debian/watch: Add.
  * Conforms to Standards version 3.7.2.

 -- Matej Vela <vela@debian.org>  Thu,  3 Aug 2006 06:35:39 +0200

atanks (1.1.0-4) unstable; urgency=low

  * Include copyright information in copyright file. (closes: #290061)
  * Remove the watch file, since it currently is broken. It'd be 
    appreciated if someone can send me a working one.
  * Use int where the code was using char as a boolean value.
    - cuts down on the number of compiler warnings
    - no need to compile with -fsigned-char
  * Use fabs where abs was ambiguous. (closes: #318527)


=== debian/control ===
Source: atanks
Section: games
Priority: optional
Maintainer: Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 7), cdbs, liballegro4.2-dev | liballegro-dev
Homepage: http://atanks.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/pkg-allegro/atanks/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-allegro/atanks/?op=log
Standards-Version: 3.9.1


Package: atanks
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, atanks-data (= ${source:Version})
Description: tank-battling game
 Atomic tanks is a multi-player game in which you attempt to destroy
 other tanks while trying to protect your own. You earn money for
 destroying other tanks; with this money you can buy upgrades and better
 weapons for your tank.
 .
 This game is similar Scorched Earth or the Worms series of games.

Package: atanks-data
Depends: ${misc:Depends}
Architecture: all
Description: data files for Atomic tanks
 Atomic tanks is a multi-player game in which you attempt to destroy
 other tanks while trying to protect your own. You earn money for
 destroying other tanks; with this money you can buy upgrades and better
 weapons for your tank.
 .
 This game is similar Scorched Earth or the Worms series of games.
 .
 This package holds the data files needed for Atomic tanks.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk

build/atanks::
	$(MAKE) 

install/atanks::
	$(MAKE) install BINDIR=debian/tmp/usr/games/ INSTALLDIR=debian/tmp/usr/share/games/atanks/ 

install/atanks-data::
	$(MAKE) install BINDIR=debian/tmp/usr/games/ INSTALLDIR=debian/tmp/usr/share/games/atanks/ 
	rm -fR debian/tmp/usr/share/games/atanks/COPYING

clean::
	rm -fR atanks src/*.o

## atanks 5.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=5.0
+VERSION=5.1
 PREFIX = /usr/
 
 BINPREFIX = $(PREFIX)

=== debian/changelog ===
atanks (5.1-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sun, 18 Sep 2011 20:06:49 +1000

## atanks 5.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-VERSION=5.1
-PREFIX = /usr/
-
+VERSION=5.2
+PREFIX ?= /usr/
+DESTDIR ?= 
 BINPREFIX = $(PREFIX)
 
 BINDIR = ${BINPREFIX}bin/
@@ -19,28 +19,32 @@
 	FLAGS=-DLINUX $(MAKE) -C src
 
 install: 
-	mkdir -p ${BINDIR}
-	$(INSTALL) -g 0 -m 755 -o 0 atanks ${BINDIR}
-	mkdir -p ${INSTALLDIR}
-	mkdir -p ${INSTALLDIR}/button
-	mkdir -p ${INSTALLDIR}/misc
-	mkdir -p ${INSTALLDIR}/missile
-	mkdir -p ${INSTALLDIR}/sound
-	mkdir -p ${INSTALLDIR}/stock
-	mkdir -p ${INSTALLDIR}/tank
-	mkdir -p ${INSTALLDIR}/tankgun
-	mkdir -p ${INSTALLDIR}/title
-	mkdir -p ${INSTALLDIR}/text
-	$(INSTALL) -g 0 -m 644 -o 0 $(INCOMMON) ${INSTALLDIR}
-	$(INSTALL) -g 0 -m 644 -o 0 button/* ${INSTALLDIR}/button
-	$(INSTALL) -g 0 -m 644 -o 0 misc/* ${INSTALLDIR}/misc
-	$(INSTALL) -g 0 -m 644 -o 0 missile/* ${INSTALLDIR}/missile
-	$(INSTALL) -g 0 -m 644 -o 0 sound/* ${INSTALLDIR}/sound
-	$(INSTALL) -g 0 -m 644 -o 0 stock/* ${INSTALLDIR}/stock
-	$(INSTALL) -g 0 -m 644 -o 0 tank/* ${INSTALLDIR}/tank
-	$(INSTALL) -g 0 -m 644 -o 0 tankgun/* ${INSTALLDIR}/tankgun
-	$(INSTALL) -g 0 -m 644 -o 0 title/* ${INSTALLDIR}/title
-	$(INSTALL) -g 0 -m 644 -o 0 text/* ${INSTALLDIR}/text
+	mkdir -p $(DESTDIR)${BINDIR}
+	$(INSTALL) -m 755 atanks $(DESTDIR)${BINDIR}
+	mkdir -p $(DESTDIR)/usr/share/applications
+	$(INSTALL) -m 644 atanks.desktop $(DESTDIR)/usr/share/applications
+	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
+	$(INSTALL) -m 644 atanks.png $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
+	mkdir -p $(DESTDIR)${INSTALLDIR}
+	mkdir -p $(DESTDIR)${INSTALLDIR}/button
+	mkdir -p $(DESTDIR)${INSTALLDIR}/misc
+	mkdir -p $(DESTDIR)${INSTALLDIR}/missile
+	mkdir -p $(DESTDIR)${INSTALLDIR}/sound
+	mkdir -p $(DESTDIR)${INSTALLDIR}/stock
+	mkdir -p $(DESTDIR)${INSTALLDIR}/tank
+	mkdir -p $(DESTDIR)${INSTALLDIR}/tankgun
+	mkdir -p $(DESTDIR)${INSTALLDIR}/title
+	mkdir -p $(DESTDIR)${INSTALLDIR}/text
+	$(INSTALL) -m 644 $(INCOMMON) $(DESTDIR)${INSTALLDIR}
+	$(INSTALL) -m 644 button/* $(DESTDIR)${INSTALLDIR}/button
+	$(INSTALL) -m 644 misc/* $(DESTDIR)${INSTALLDIR}/misc
+	$(INSTALL) -m 644 missile/* $(DESTDIR)${INSTALLDIR}/missile
+	$(INSTALL) -m 644 sound/* $(DESTDIR)${INSTALLDIR}/sound
+	$(INSTALL) -m 644 stock/* $(DESTDIR)${INSTALLDIR}/stock
+	$(INSTALL) -m 644 tank/* $(DESTDIR)${INSTALLDIR}/tank
+	$(INSTALL) -m 644 tankgun/* $(DESTDIR)${INSTALLDIR}/tankgun
+	$(INSTALL) -m 644 title/* $(DESTDIR)${INSTALLDIR}/title
+	$(INSTALL) -m 644 text/* $(DESTDIR)${INSTALLDIR}/text
 
 user:
 	INSTALLDIR=./ FLAGS=-DLINUX $(MAKE) -C src

=== src/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 LIB=ar
 WINDRES=
 # FLAGS += -DDATA_DIR=\".\" -Wno-write-strings -DNETWORK -DTHREADS
-FLAGS += -DDATA_DIR=\"${INSTALLDIR}\" -DNEW_GAMELOOP -Wno-write-strings -DNETWORK -DTHREADS 
+FLAGS += -DDATA_DIR=\"${INSTALLDIR}\" -DNEW_GAMELOOP -Wno-write-strings -DNETWORK -DTHREADS -pthread
 OUTPUT = ../atanks
 WFLAGS = 
 OFLAGS =

=== debian/changelog ===
atanks (5.2-1) unstable; urgency=low

  * New upstream release
  * Refresh debian/copyright copyright-refers-to-symlink-license 
  * Switch to dh

 -- Mark Purcell <msp@debian.org>  Fri, 07 Oct 2011 19:13:16 +1100

## atanks 5.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=5.2
+VERSION=5.3
 PREFIX ?= /usr/
 DESTDIR ?= 
 BINPREFIX = $(PREFIX)

=== src/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 LFLAGS +=
 LDFLAGS =  `allegro-config --libs`
 
-CFLAGS += -g -Wall -Iinclude # -fprofile-arcs -ftest-coverage 
+CFLAGS += -Wall -Iinclude # -fprofile-arcs -ftest-coverage 
 
 SRCS  = $(MODULES:.o=.cpp)
 GLOBALS	= main.h imagedefs.h externs.h

=== debian/changelog ===
atanks (5.3-1) unstable; urgency=low

  * New upstream release
  * Drop 20_link_with_pthread.patch - encorporated upstream

 -- Mark Purcell <msp@debian.org>  Thu, 23 Feb 2012 20:47:06 +1100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Mark Purcell <msp@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, liballegro4.2-dev | liballegro-dev
+Build-Depends: debhelper (>= 7.0.50~), liballegro-dev | liballegro4.2-dev
 Homepage: http://atanks.sourceforge.net/
 Vcs-Svn: svn://svn.debian.org/pkg-allegro/atanks/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-allegro/atanks/?op=log

## atanks 5.5

=== debian/changelog ===
atanks (5.5-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Wed, 20 Jun 2012 22:37:50 +1000

atanks (5.4-1) unstable; urgency=low

  * New upstream release 
  * Switch to Maintainer: Debian Games Team 
    <pkg-games-devel@lists.alioth.debian.org>

 -- Mark Purcell <msp@debian.org>  Sat, 14 Apr 2012 14:36:09 +1000

## atanks 5.5+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=5.3
+VERSION=5.5
 PREFIX ?= /usr/
 DESTDIR ?= 
 BINPREFIX = $(PREFIX)

=== src/Makefile ===
.PHONY: all clean veryclean

MODULES = atanks.o beam.o button.o environment.o explosion.o fade.o files.o globaldata.o \
          missile.o perlin.o physobj.o player.o satellite.o sky.o tank.o team.o teleport.o virtobj.o \
          update.o network.o floattext.o land.o text.o client.o gameloop.o

LIB=ar
WINDRES=
# FLAGS += -DDATA_DIR=\".\" -Wno-write-strings -DNETWORK -DTHREADS
FLAGS += -DDATA_DIR=\"${INSTALLDIR}\" -DNEW_GAMELOOP -Wno-write-strings -DNETWORK -DTHREADS -pthread
OUTPUT = ../atanks
WFLAGS = 
OFLAGS = 
LFLAGS +=
LDFLAGS +=  `allegro-config --libs` -lm -lpthread

CXXFLAGS += -Wall -Iinclude # -fprofile-arcs -ftest-coverage 

SRCS  = $(MODULES:.o=.cpp)
GLOBALS	= main.h imagedefs.h externs.h

all: 	$(OUTPUT)

clean:  
	rm -f *.o

veryclean: clean
	rm $(OUTPUT)

$(MODULES): Makefile

atanks.o: atanks.cpp globals.h main.h menucontent.h
	$(CXX) -c atanks.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CXXFLAGS)

button.o: button.cpp button.h
	$(CXX) -c button.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CXXFLAGS)

client.o: client.h client.cpp
	$(CXX) -c client.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CXXFLAGS)

environment.o: environment.cpp environment.h
	$(CXX) -c environment.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CXXFLAGS)

explosion.o: explosion.cpp explosion.h
	$(CXX) -c explosion.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CXXFLAGS)

files.o: files.cpp files.h text.h text.cpp
	$(CXX) -c files.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CXXFLAGS)

floattext.o: floattext.cpp floattext.h
	$(CXX) -c floattext.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CXXFLAGS)

gameloop.o: gameloop.cpp atanks.cpp main.h
	$(CXX) -c gameloop.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CXXFLAGS)

globaldata.o: globaldata.cpp globaldata.h
	$(CXX) -c globaldata.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CXXFLAGS)

land.o: land.cpp land.h globaldata.h environment.h
	$(CXX) -c land.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CXXFLAGS)

missile.o: missile.cpp missile.h
	$(CXX) -c missile.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CXXFLAGS)

teleport.o: teleport.cpp teleport.h
	$(CXX) -c teleport.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CXXFLAGS)

physobj.o: physobj.cpp physobj.h
	$(CXX) -c physobj.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CXXFLAGS)

player.o: player.cpp player.h
	$(CXX) -c player.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CXXFLAGS)

tank.o: tank.cpp tank.h
	$(CXX) -c tank.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CXXFLAGS)

team.o: team.cpp team.h
	$(CXX) -c team.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CXXFLAGS)

virtobj.o: virtobj.cpp virtobj.h
	$(CXX) -c virtobj.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CXXFLAGS)

fade.o: fade.cpp
	$(CXX) -c fade.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CXXFLAGS)

perlin.o: perlin.cpp
	$(CXX) -c perlin.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CXXFLAGS)

sky.o: sky.cpp sky.h
	$(CXX) -c sky.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CXXFLAGS)

satellite.o: satellite.cpp satellite.h
	$(CXX) -c satellite.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CXXFLAGS)

text.o: text.cpp text.h
	$(CXX) -c text.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CXXFLAGS)

update.o: update.cpp update.h
	$(CXX) -c update.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CXXFLAGS)

network.o: network.cpp network.h
	$(CXX) -c network.cpp -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CXXFLAGS)

%.o: %.cpp %.h
	$(CXX) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CXXFLAGS)

$(OUTPUT): $(OBJECTS) $(MODULES)
	$(CXX) $(MODULES) -o $(OUTPUT) $(FLAGS) $(LFLAGS) $(LDFLAGS) $(SFLAGS) $(CXXFLAGS)
	# strip $(OUTPUT)

# dependencies:
physobj.h: main.h virtobj.h globaldata.h
virtobj.h: main.h player.h
main.h: imagedefs.h externs.h
globaldata.h: main.h
player.h: main.h menu.h
tank.h: physobj.h
floattext.h: virtobj.h main.h environment.h
menu.h: globaldata.h
environment.h: main.h tank.h
files.h: globaldata.h environment.h 
globals.h: virtobj.h floattext.h physobj.h tank.h missile.h explosion.h player.h environment.h globaldata.h teleport.h decor.h beam.h
button.h: globaldata.h environment.h
team.h: globaldata.h
satellite.h: environment.h globaldata.h virtobj.h
beam.h: main.h virtobj.h physobj.h
missile.h: main.h physobj.h
teleport.h: main.h virtobj.h
decor.h: main.h physobj.h environment.h globaldata.h
explosion.h: main.h physobj.h
virtobj.cpp: virtobj.h environment.h
physobj.cpp: physobj.h environment.h
atanks.cpp: globals.h menu.h button.h team.h files.h satellite.h menucontent.h
beam.cpp: environment.h globaldata.h physobj.h player.h decor.h tank.h beam.h
button.cpp: button.h
environment.cpp: environment.h globaldata.h virtobj.h missile.h tank.h files.h
explosion.cpp: environment.h globaldata.h explosion.h missile.h decor.h tank.h player.h
fade.cpp: globaldata.h main.h
files.cpp: player.h files.h main.h
globaldata.cpp: player.h globaldata.h files.h
missile.cpp: environment.h globaldata.h explosion.h missile.h decor.h tank.h
perlin.cpp: main.h
player.cpp: environment.h globaldata.h player.h tank.h menu.h files.h floattext.h
satellite.cpp: environment.h satellite.h beam.h
sky.cpp: globaldata.h main.h sky.h
tank.cpp: environment.h globaldata.h floattext.h explosion.h teleport.h missile.h player.h beam.h tank.h
team.cpp: tank.h team.h player.h
teleport.cpp: environment.h globaldata.h teleport.h

=== debian/changelog ===
atanks (5.5+dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove binary files from source tarball (closes: #691223).

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 25 Oct 2012 13:38:02 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: atanks
 Section: games
 Priority: optional
-Maintainer: Mark Purcell <msp@debian.org>
+Uploaders: Mark Purcell <msp@debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50~), liballegro-dev | liballegro4.2-dev
 Homepage: http://atanks.sourceforge.net/
 Vcs-Svn: svn://svn.debian.org/pkg-allegro/atanks/trunk/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_install:
	dh_install -XCOPYING

=== debian/watch ===
version=3
http://sf.net/atanks/atanks-(.*)\.tar\.(?:gz|bz2) debian svn-upgrade

## atanks 5.7~dfsg

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=5.5
+VERSION=5.7
 PREFIX ?= /usr/
 DESTDIR ?= 
 BINPREFIX = $(PREFIX)
@@ -64,6 +64,12 @@
 
 dist: source-dist i686-dist win32-dist
 
+tarball: clean
+	cd .. && tar czf atanks-$(VERSION).tar.gz atanks-$(VERSION)
+
+zipfile: clean
+	cd .. && zip -r atanks-$(VERSION)-source.zip atanks-$(VERSION)
+
 source-dist:
 	cd ../; \
 	rm -f ${FILENAME}.tar.gz; \

=== src/Makefile ===
--- 
+++ 
@@ -4,10 +4,11 @@
           missile.o perlin.o physobj.o player.o satellite.o sky.o tank.o team.o teleport.o virtobj.o \
           update.o network.o floattext.o land.o text.o client.o gameloop.o
 
+CXX?=clang++
 LIB=ar
 WINDRES=
 # FLAGS += -DDATA_DIR=\".\" -Wno-write-strings -DNETWORK -DTHREADS
-FLAGS += -DDATA_DIR=\"${INSTALLDIR}\" -DNEW_GAMELOOP -Wno-write-strings -DNETWORK -DTHREADS -pthread
+FLAGS += -O2 -DDATA_DIR=\"${INSTALLDIR}\" -DNEW_GAMELOOP -Wno-write-strings -DNETWORK -DTHREADS -pthread 
 OUTPUT = ../atanks
 WFLAGS = 
 OFLAGS =

=== debian/changelog ===
atanks (5.7~dfsg-2ubuntu1) saucy; urgency=low

  * Build-depend on liballegro4-dev instead of virtual liballegro4.2-dev.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 05 Jul 2013 13:42:17 -0600

atanks (5.7~dfsg-2) unstable; urgency=low

  * Upload to unstable 
  * Update debian/copyright - fix unversioned-copyright-format-uri
  * Update Vcs: - fix vcs-field-not-canonical
  * Update Standards-Version: 3.9.3 - no further changes

 -- Mark Purcell <msp@debian.org>  Mon, 13 May 2013 19:53:04 +1000

atanks (5.7~dfsg-1) experimental; urgency=low

  * New upstream release
    - Fixes "Game crashes when changing options" (Closes: #691107)
  * Ack NMU - Thanks Michael
  * Add get-orig-source target (~dfsg)
  * Include atanks.desktop in atanks - fixes desktop-command-not-in-package

 -- Mark Purcell <msp@debian.org>  Mon, 29 Oct 2012 22:15:39 +1100

atanks (5.6-1) experimental; urgency=low

  * New upstream release
  * NEW atanks-dbg package
  * debian/compat -> 9

 -- Mark Purcell <msp@debian.org>  Mon, 22 Oct 2012 19:22:22 +1100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,20 @@
 Section: games
 Priority: optional
 Uploaders: Mark Purcell <msp@debian.org>
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.50~), liballegro-dev | liballegro4.2-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 9), liballegro4-dev | liballegro-dev
 Homepage: http://atanks.sourceforge.net/
-Vcs-Svn: svn://svn.debian.org/pkg-allegro/atanks/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-allegro/atanks/?op=log
-Standards-Version: 3.9.1
+Vcs-Svn: svn://anonscm.debian.org/pkg-allegro/atanks/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-allegro/atanks/trunk/
+Standards-Version: 3.9.4
 
 
 Package: atanks
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, atanks-data (= ${source:Version})
+Replaces: atanks-data(<< 5.7~dfsg-1)
+Breaks: atanks-data (<< 5.7~dfsg-1)
 Description: tank-battling game
  Atomic tanks is a multi-player game in which you attempt to destroy
  other tanks while trying to protect your own. You earn money for
@@ -33,3 +36,17 @@
  This game is similar Scorched Earth or the Worms series of games.
  .
  This package holds the data files needed for Atomic tanks.
+
+Package: atanks-dbg
+Depends: ${shlibs:Depends}, ${misc:Depends}, atanks (= ${binary:Version})
+Architecture: any
+Section: debug
+Priority: extra
+Description: tank-battling game - debug symbols
+ Atomic tanks is a multi-player game in which you attempt to destroy
+ other tanks while trying to protect your own. You earn money for
+ destroying other tanks; with this money you can buy upgrades and better
+ weapons for your tank.
+ .
+ This package contains the debug symbols which is useful if you wish to
+ analyse segmentation faults.

## atanks 5.8~dfsg

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=5.7
+VERSION=5.8
 PREFIX ?= /usr/
 DESTDIR ?= 
 BINPREFIX = $(PREFIX)

=== src/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 LIB=ar
 WINDRES=
 # FLAGS += -DDATA_DIR=\".\" -Wno-write-strings -DNETWORK -DTHREADS
-FLAGS += -O2 -DDATA_DIR=\"${INSTALLDIR}\" -DNEW_GAMELOOP -Wno-write-strings -DNETWORK -DTHREADS -pthread 
+FLAGS += -DDATA_DIR=\"${INSTALLDIR}\" -DNEW_GAMELOOP -Wno-write-strings -DNETWORK -DTHREADS -pthread 
 OUTPUT = ../atanks
 WFLAGS = 
 OFLAGS =

=== debian/changelog ===
atanks (5.8~dfsg-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat, 01 Feb 2014 16:25:15 +1100
